Blame 0059-Revert-securitfs-change.patch
|
Harald Hoyer |
368a0c |
From 4f50a9bfb109f1705ca987db6301c3c66a00ea75 Mon Sep 17 00:00:00 2001
|
|
Harald Hoyer |
368a0c |
From: Mimi Zohar <zohar@linux.vnet.ibm.com>
|
|
Harald Hoyer |
368a0c |
Date: Mon, 27 Apr 2015 18:24:14 -0400
|
|
Harald Hoyer |
368a0c |
Subject: [PATCH] Revert securitfs change
|
|
Harald Hoyer |
368a0c |
|
|
Harald Hoyer |
368a0c |
Commit 5e60145 use findmnt with "--source" or "--target" broke
|
|
Harald Hoyer |
368a0c |
mounting securityfs. This patch reverts only the securityfs
|
|
Harald Hoyer |
368a0c |
portion of the patch.
|
|
Harald Hoyer |
368a0c |
---
|
|
Harald Hoyer |
368a0c |
modules.d/96securityfs/securityfs.sh | 2 +-
|
|
Harald Hoyer |
368a0c |
1 file changed, 1 insertion(+), 1 deletion(-)
|
|
Harald Hoyer |
368a0c |
|
|
Harald Hoyer |
368a0c |
diff --git a/modules.d/96securityfs/securityfs.sh b/modules.d/96securityfs/securityfs.sh
|
|
Harald Hoyer |
368a0c |
index 8ccb151..8e57571 100755
|
|
Harald Hoyer |
368a0c |
--- a/modules.d/96securityfs/securityfs.sh
|
|
Harald Hoyer |
368a0c |
+++ b/modules.d/96securityfs/securityfs.sh
|
|
Harald Hoyer |
368a0c |
@@ -3,6 +3,6 @@
|
|
Harald Hoyer |
368a0c |
SECURITYFSDIR="/sys/kernel/security"
|
|
Harald Hoyer |
368a0c |
export SECURITYFSDIR
|
|
Harald Hoyer |
368a0c |
|
|
Harald Hoyer |
368a0c |
-if ! findmnt --target "${SECURITYFSDIR}" >/dev/null 2>&1; then
|
|
Harald Hoyer |
368a0c |
+if ! findmnt "${SECURITYFSDIR}" >/dev/null 2>&1; then
|
|
Harald Hoyer |
368a0c |
mount -t securityfs -o nosuid,noexec,nodev securityfs ${SECURITYFSDIR} >/dev/null 2>&1
|
|
Harald Hoyer |
368a0c |
fi
|